Get a service profile for a given individual entity.
curl --request GET \
--url https://api.uat.frankie.one/v2/individuals/{entityId}/serviceprofiles/{serviceName} \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.uat.frankie.one/v2/individuals/{entityId}/serviceprofiles/{serviceName}"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.uat.frankie.one/v2/individuals/{entityId}/serviceprofiles/{serviceName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serviceProfile": {
"serviceProfileId": "55fc5d54-46f7-49c8-bf78-e07ec79c42fd",
"latestRiskAssessmentId": "<string>",
"latestWorkflowExecutionId": "<string>",
"entityId": "<string>",
"entityName": "<string>",
"entityType": "<string>",
"schemaVersion": 2,
"createdAt": "2024-01-15T02:18:11.365Z",
"createdRequestId": "01HMR2ERSKCYAVXKS1FKSRT2T4",
"createdBy": "Ryan Reynolds",
"updatedAt": "2024-01-15T02:18:11.365Z",
"updatedBy": "Ryan Reynolds",
"updatedRequestId": "01HMR2ERSKCYAVXKS1FKSRT2T4",
"assignee": "Ryan Gosling",
"reviewer": "Ryan Trahan",
"currentWorkflowId": "<string>",
"currentWorkflowName": "<string>",
"workflowSummaries": [
{
"schemaVersion": 123,
"workflowName": "<string>",
"workflowExecutionId": "<string>",
"status": "UNCHECKED",
"statusOverrideAt": "2023-11-07T05:31:56Z",
"statusOverrideRequestId": "<string>",
"statusOverrideBy": "<string>",
"riskAssessment": {
"serviceProfileId": "<string>",
"workflowId": "<string>",
"workflowExecutionId": "<string>",
"entityId": "<string>",
"riskAssessmentId": "<string>",
"schemaVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedRequestId": "<string>",
"workflowRiskScore": 123,
"riskScore": 123,
"isOutdated": false,
"riskFactors": [
{
"riskFactorId": "<string>",
"factor": "<string>",
"value": "<string>",
"score": 123,
"description": "<string>",
"workflowExecutionId": "<string>",
"stepResultId": "<string>",
"manualOverrideScore": 123,
"status": "VALID",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedRequestId": "<string>",
"createdServiceProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdWorkflowExecutionId": "<string>",
"createdStepResultId": "<string>"
}
]
},
"isManual": true,
"steps": {
"order": [
"<string>"
],
"passed": [
"<string>"
],
"failed": [
"<string>"
],
"incomplete": [
"<string>"
],
"notApplicable": [
"<string>"
]
},
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"issues": [
{
"issueId": "<string>",
"workflowExecutionId": "<string>",
"stepResultId": "<string>",
"isCleared": true,
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedRequestId": "<string>"
}
],
"lifecyclePhase": "OTHER",
"monitoringTypes": []
}
],
"serviceName": "<string>",
"customerReference": "<string>",
"subscriptions": [
{
"serviceProfileId": "<string>",
"workflowName": "<string>",
"workflowId": "<string>",
"enabledAt": "2023-11-07T05:31:56Z",
"enabledRequestId": "<string>",
"enabledBy": "<string>",
"disabledAt": "2023-11-07T05:31:56Z",
"disabledRequestId": "<string>",
"disabledBy": "<string>"
}
]
},
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Individual Profiles
Get a service profile for a given individual entity.
Get a profile for a given individual entity.
GET
/
v2
/
individuals
/
{entityId}
/
serviceprofiles
/
{serviceName}
Get a service profile for a given individual entity.
Authorizations
Api-Keyjwt
Headers
Your API key provided by FrankieOne
Example:
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
Example:
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
Example:
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
Example:
"fred.flintstone@frankieone.com"
Path Parameters
Unique FrankieOne identifier for an entity
The unique name of the service profile
Was this page helpful?
Override the status of a specific workflow execution.Update a profile for a given individual entity.
⌘I